# Class PanelPermissionTypes

Namespace
  adas_core.Domain.Models.AppSettings

Assembly
  adas-core.Domain.dll

    public class PanelPermissionTypes

Inheritance
  object
  PanelPermissionTypes

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### PanelPermissionTypes(UserActions, UserActions, UserActions, UserActions, UserActions, UserActions, UserActions, UserActions, UserActions, UserActions, UserActions, UserActions, bool)

    public PanelPermissionTypes(UserActions units, UserActions displays, UserActions displayConfigs, UserActions masterLists, UserActions treatments, UserActions patients, UserActions medicines, UserActions pumps, UserActions users, UserActions configObservations, UserActions observations, UserActions audits, bool useDemoMode)

#### Parameters

`units` UserActions
`displays` UserActions
`displayConfigs` UserActions
`masterLists` UserActions
`treatments` UserActions
`patients` UserActions
`medicines` UserActions
`pumps` UserActions
`users` UserActions
`configObservations` UserActions
`observations` UserActions
`audits` UserActions
`useDemoMode` bool

## Properties

### Audits

    public UserActions Audits { get; set; }

#### Property Value

UserActions

### ConfigObservations

    public UserActions ConfigObservations { get; set; }

#### Property Value

UserActions

### DisplayConfigs

    public UserActions DisplayConfigs { get; set; }

#### Property Value

UserActions

### Displays

    public UserActions Displays { get; set; }

#### Property Value

UserActions

### MasterLists

    public UserActions MasterLists { get; set; }

#### Property Value

UserActions

### Medicines

    public UserActions Medicines { get; set; }

#### Property Value

UserActions

### Observations

    public UserActions Observations { get; set; }

#### Property Value

UserActions

### Patients

    public UserActions Patients { get; set; }

#### Property Value

UserActions

### Pumps

    public UserActions Pumps { get; set; }

#### Property Value

UserActions

### Treatments

    public UserActions Treatments { get; set; }

#### Property Value

UserActions

### Units

    public UserActions Units { get; set; }

#### Property Value

UserActions

### UseDemoMode

    public bool UseDemoMode { get; set; }

#### Property Value

bool

### Users

    public UserActions Users { get; set; }

#### Property Value

UserActions